## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Created by pyp2rpm-3.3.2
%global pypi_name pysam

Name:           python-%{pypi_name}
Version:        0.22.1
Release:        %autorelease
Summary:        pysam

License:        MIT AND BSD-1-Clause AND BSD-2-Clause AND BSD-3-Clause
URL:            https://github.com/pysam-developers/pysam
Source0:        %{pypi_source}
Patch:          python-pysam-configure-c99.patch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(cython)
BuildRequires:  gcc
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:  xz-devel
BuildRequires:  python3-sphinx_rtd_theme

%description
pysam - a python module for reading, manipulating and writing genomic data
sets.pysam is a lightweight wrapper of the htslib C-API and provides facilities
to read and write SAM/BAM/VCF/BCF/BED/GFF/GTF/FASTA/FASTQ files as well as
access to the command line functionality of the samtools and bcftools packages.
The module supports compression and random access through indexing.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:  bundled(samtools) = 1.18
Provides:  bundled(htslib) = 1.18
Provides:  bundled(bcftools) = 1.18

%description -n python3-%{pypi_name}
pysam - a python module for reading, manipulating and writing genomic data
sets.pysam is a lightweight wrapper of the htslib C-API and provides facilities
to read and write SAM/BAM/VCF/BCF/BED/GFF/GTF/FASTA/FASTQ files as well as
access to the command line functionality of the samtools and bcftools packages.
The module supports compression and random access through indexing.

%package -n     python3-%{pypi_name}-devel
Summary:        %{summary}

Requires: python3-%{pypi_name}%{?_isa} = %{version}-%{release}
%description -n python3-%{pypi_name}-devel
Development files for pysam

%package -n python-%{pypi_name}-doc
Summary:        pysam documentation
BuildArch: noarch
%description -n python-%{pypi_name}-doc
Documentation for pysam

%prep
%autosetup -n %{pypi_name}-%{version} -p 1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Remove pre-generated files
rm $(grep -rl '/\* Generated by Cython')

%build
FORCE_CYTHON=1 %py3_build
# generate html docs 
PYTHONPATH=$(echo $PWD/build/lib.linux*) sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install
rm ${RPM_BUILD_ROOT}%{python3_sitearch}/%{pypi_name}/*pyx
rm ${RPM_BUILD_ROOT}%{python3_sitearch}/%{pypi_name}/*c

%files -n python3-%{pypi_name}
%doc README.rst
%license COPYING
%license */LICENSE
%dir %{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}/*so
%{python3_sitearch}/%{pypi_name}/*py
%{python3_sitearch}/%{pypi_name}/*pyi
%{python3_sitearch}/%{pypi_name}/py.typed
%{python3_sitearch}/%{pypi_name}/__pycache__
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python3-%{pypi_name}-devel
%{python3_sitearch}/%{pypi_name}/*h
%{python3_sitearch}/%{pypi_name}/*pxd
%{python3_sitearch}/%{pypi_name}/include

%files -n python-%{pypi_name}-doc
%doc html

%changelog
## START: Generated by rpmautospec
* Fri Jun 14 2024 j-b-o <j-b-o@users.noreply.github.com> - 0.22.1-1
- update to 0.22.1

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.22.0-6
- Rebuilt for Python 3.13

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.22.0-5
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 30 2023 Florian Weimer <fweimer@redhat.com> - 0.22.0-2
- Fix C compatibility issue in the bundled htslib configure script

* Tue Nov 14 2023 David Bold <davidsch@fedoraproject.org> - 0.22.0-1
- Update to 0.22.0

* Tue Sep 05 2023 David Bold <dave@ipp.mpg.de> - 0.21.0-2
- Convert to SPDX

* Tue Sep 05 2023 David Bold <dave@ipp.mpg.de> - 0.21.0-1
- Update to 0.21.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 0.19.1-5
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 30 2022 David Bold <davidsch@fedoraproject.org> - 0.19.1-3
- update to 1.19.1

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 23 2022 David Bold <davidsch@fedoraproject.org> - 0.19.1-1
- Update to 0.19.1

* Wed Jun 22 2022 Lumír Balhar <lbalhar@redhat.com> - 0.19.0-4
- Fix compatibility with the latest setuptools

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.19.0-3
- Rebuilt for Python 3.11

* Tue Apr 05 2022 David Bold <davidsch@fedoraproject.org> - 0.19.0-1
- Update to 0.19.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 21 2021 David Bold <davidsch@fedoraproject.org> - 0.18.0-1
- Update to 0.18.0

* Wed Oct 06 2021 David Bold <davidsch@fedoraproject.org> - 0.17.0-1
- Update to 0.17.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild


* Sat Jun 05 2021 David <davidsch@fedoraproject.org> - 0.16.0.1-5
- Add patch to fix building with sphinx 4.0.2

* Sat Jun 05 2021 David <davidsch@fedoraproject.org> - 0.16.0.1-4
- Add patch to fix building with sphinx 4

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.16.0.1-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Nov 01 2020 David <davidsch@fedoraproject.org > - 0.16.0.1-1
- Initial package.

## END: Generated by rpmautospec
